Bug 1464980 - [RFE]: Improved/sanitized cluster log
Summary: [RFE]: Improved/sanitized cluster log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 3.0
Assignee: John Spray
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-06-26 10:53 UTC by John Spray
Modified: 2017-12-05 23:35 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-12.2.0-1.el7cp Ubuntu: ceph_12.2.0-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Improvements in the cluster log The cluster log has been improved. Certain unnecessary messages, such as audit log, PGMap 5 second, or print on every `osdmap` epoch, have been removed. Other messages were improved to use a more human-readable format. Also, a message is not logged when health checks fail. In addition, a new command, `log last`, is now supported. The command shows the recent log messages.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:35:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph pull 15643 None None None 2017-08-30 18:33:39 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description John Spray 2017-06-26 10:53:21 UTC
Remove/hide by default:
 * audit log spew
 * PGMap 5 second spew
 * print on every osdmap epoch

Add:
 * Log messages when health checks fail/recover
 * Human readable messages when key up/down/failover events happen for OSD, MDS, mon, mgr.
 * `log last` command to see recent log messages

Comment 4 Josh Durgin 2017-08-30 18:03:57 UTC
https://github.com/ceph/ceph/pull/15643

Comment 8 John Spray 2017-10-24 09:37:41 UTC
Looks fine to me.

Comment 12 errata-xmlrpc 2017-12-05 23:35:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.